# WebGLFlags | ONNX Runtime JavaScript API
Documentation for ONNX Runtime JavaScript API

### Hierarchy

- WebGLFlags

## Index

### Properties

- async
- contextId
- matmulMaxBatchSize
- pack
- textureCacheMode

## Properties

### Optional async

async?: boolean

- Defined in env.ts:84

Set or get whether enable async download.

defaultvalue

  `false`

### Optional contextId

contextId?: "webgl" | "webgl2"

- Defined in env.ts:60

Set or get the WebGL Context ID (webgl or webgl2).

defaultvalue

  `'webgl2'`

### Optional matmulMaxBatchSize

matmulMaxBatchSize?: number

- Defined in env.ts:66

Set or get the maximum batch size for matmul. 0 means to disable batching.

deprecated

### Optional pack

pack?: boolean

- Defined in env.ts:78

Set or get the packed texture mode

defaultvalue

  `false`

### Optional textureCacheMode

textureCacheMode?: "initializerOnly" | "full"

- Defined in env.ts:72

Set or get the texture cache mode.

defaultvalue

  `'full'`

Generated using TypeDoc